<script setup lang="ts">
  import { SlideItem } from '~/logic/interfaces';

  const props = defineProps<{
    controller: ReturnType<typeof useModal>;
    listing: SlideItem;
  }>();

  const onSubmit = (e: Event) => {
    e.preventDefault();
    console.log('onSubmitDeleteConfirmationModal');
    props.controller.close();
  };

  const onCloseModal = () => {
    props.controller.close();
  };
</script>

<template>
  <SwModal backdrop-display="static" :controller="controller">
    <template #body>
      <div class="flex flex-col space-y-6">
        <div>
          <span class="text-lg/[1.625rem] font-bold">{{
            $t('listing.deleteConfirmationModal.headline', {
              name: listing.sectionName || `${'presentation.slide'} ${listing.index}`,
            })
          }}</span>
          <p class="text-(sm/6 information) pt-2">
            {{ $t('listing.deleteConfirmationModal.sublime', { name: listing.sectionName }) }}
          </p>
        </div>
      </div>
    </template>
    <template #footer>
      <SwButton size="large" variant="action" @click="onCloseModal">
        {{ $t('cancel') }}
      </SwButton>
      <SwButton variant="danger" size="large" @click="onSubmit">
        {{ $t('delete') }}
      </SwButton>
    </template>
  </SwModal>
</template>
